Name:           python-engcoolprop
Version:        0.1.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        EngCoolProp is a python Engineering Units wrapper around the CoolProp project.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://engcoolprop.readthedocs.org/en/latest/
Source:         %{pypi_source engcoolprop}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'engcoolprop' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-engcoolprop
Summary:        %{summary}

%description -n python3-engcoolprop %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-engcoolprop dev,test


%prep
%autosetup -p1 -n engcoolprop-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-engcoolprop -f %{pyproject_files}


%changelog
%autochangelog